For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet invoices
      • POSTRequest financing for invoices
      • GETGet financing offers and the business status
      • POSTCreate a token for Kanmon SDK
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonFinancing

Request financing for invoices

POST
/financing_invoices
POST
/v1/financing_invoices
$curl -X POST https://api.sandbox.monite.com/v1/financing_invoices \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "invoices": [
> {
> "id": "id",
> "type": "payable"
> }
> ]
>}'
1{
2 "connect_token": "connect_token",
3 "session_token": "session_token"
4}
Returns a session token and a connect token to open Kanmon SDK for confirming invoice details.
Was this page helpful?
Previous

Get financing offers and the business status

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
invoiceslist of objectsRequired
A list of invoices to request financing for.

Response

Successful Response
connect_tokenstring
A connect token for Kanmon SDK.
session_tokenstring
An embedded session token for Kanmon SDK.

Errors

422
Post Financing Invoices Request Unprocessable Entity Error
500
Post Financing Invoices Request Internal Server Error